Foxit PDF RDK

Public Member Functions | Public Attributes | List of all members
TableOfContentsConfig Class Reference

## Public Member Functions
| constructor () Set(title
| Constructor. More...
| constructor (title, bookmark_level_array, is_show_serial_number, include_toc_pages)
| Constructor, with parameter. More...

## Public Attributes
| bookmark_level_array
| A bookmark level array which is used to specify bookmarks to be used to generate "Table of Contents". For each element in input array, valid range : from 1 to(depth). depth is returned by function PDFDoc.GetBookmarkLevelDepth. If input array is an empty array, that means all bookmarks are used to generate "Table of Contents".
| include_toc_pages
| true means to include catalog page(s) in the calculation of pages number in the table of contents, while false means to exclude catalog page(s) from the calculation of pages number in the table of contents.
| is_show_serial_number
| true means to show the serial number in the table of contents, while false means not to show the serial number.
| title
| Title for the table of contents. If this is an empty string, the default value "Table of Contents" will be used.

## Detailed Description

This class represents the table of contents configuration.

## Member Function Documentation

## ◆ constructor() [1/2]

TableOfContentsConfig.constructor | ( |  | ) |

Constructor.

Set value.

Parameters

  [in] | title | Title for the table of contents.
  [in] | bookmark_level_array | A bookmark level array which is used to specify bookmarks to be used to generate "Table of Contents".
  [in] | is_show_serial_number | true means to show the serial number in the table of contents, while false means not to show the serial number.
  [in] | include_toc_pages | true means to include catalog page(s) in the calculation of pages number in the table of contents, while false means to exclude catalog page(s) from the calculation of pages number in the table of contents.

@ return None.

## ◆ constructor() [2/2]

TableOfContentsConfig.constructor | ( | title | ,
|  | bookmark_level_array | ,
|  | is_show_serial_number | ,
|  | include_toc_pages |
| ) |  |

Constructor, with parameter.

Parameters

  [in] | title | Title for the table of contents.
  [in] | bookmark_level_array | A bookmark level array which is used to specify bookmarks to be used to generate "Table of Contents".
  [in] | is_show_serial_number | true means to show the serial number in the table of contents, while false means not to show the serial number.
  [in] | include_toc_pages | true means to include catalog page(s) in the calculation of pages number in the table of contents, while false means to exclude catalog page(s) from the calculation of pages number in the table of contents.